package com.ruoyi.common.enums;

/**
 * The enum Meeting type.
 *
 * @author chen.cheng
 */
public enum MeetingType {
    /**
     * Meeting meeting type.
     *
     * @author chen.cheng
     */
    MEETING("1", "大会报名"),
    /**
     * Conference meeting type.
     *
     * @author chen.cheng
     */
    CONFERENCE("2", "会场报名"),
    /**
     * Theme meeting type.
     *
     * @author chen.cheng
     */
    THEME("3", "主题报名");

    /**
     * The Code.
     *
     * @author chen.cheng
     */
    private final String code;
    /**
     * The Info.
     *
     * @author chen.cheng
     */
    private final String info;

    /**
     * Instantiates a new Meeting type.
     *
     * @param code the code
     * @param info the info
     * @author chen.cheng
     */
    MeetingType(String code, String info) {
        this.code = code;
        this.info = info;
    }

    /**
     * Gets code.
     *
     * @return the code
     * @author chen.cheng
     */
    public String getCode() {
        return code;
    }

    /**
     * Gets info.
     *
     * @return the info
     * @author chen.cheng
     */
    public String getInfo() {
        return info;
    }
}
